Lorene::Base_vect_cart Class Reference
Tensorial fields

Cartesian vectorial bases (triads). More...

`#include <base_vect.h>`

Inheritance diagram for Lorene::Base_vect_cart:

## Public Member Functions

| Base_vect_cart (double rot_phi_i)
| Standard constructor.
| Base_vect_cart (double rot_phi_i, const char *name_i)
| Standard constructor with name.
| Base_vect_cart (const Base_vect_cart &)
| Copy constructor.
virtual | ~Base_vect_cart ()
| Destructor.
void | operator= (const Base_vect_cart &)
| Assignment to another `Base_vect_cart`.
void | set_rot_phi (double rot_phi_i)
| Sets a new value to the angle `rot_phi` between the x –axis and the absolute frame X –axis.
virtual bool | operator== (const Base_vect &) const
| Comparison operator (egality).
virtual void | change_basis (Tenseur &) const
| Change the basis in which the components of a tensor are expressed.
virtual int | identify () const
| Returns a number to identify the sub-classe of `Base_vect` the object belongs to.
int | get_align () const
| Returns the indicator of alignment with respect to the absolute frame.
virtual void | sauve (FILE *) const
| Save in a file.
void | set_name (const char *name_i)
| Sets the basis name.
const char * | get_name () const
| Returns the basis name.
bool | operator!= (const Base_vect &) const
| Comparison operator (difference).

## Static Public Member Functions

static Base_vect * | bvect_from_file (FILE *)
| Construction of a vectorial basis from a file (see `sauve(FILE* )` ).

## Protected Member Functions

| Base_vect_cart (FILE *)
| Constructor from a file.
virtual ostream & | operator>> (ostream &) const
| Operator >>.

## Protected Attributes

char | name [100]
| Name of the basis.

## Private Member Functions

void | set_align ()
| Computes `align` from the value of `rot_phi`.

## Private Attributes

double | rot_phi
| Angle between the x –axis and the absolute frame X –axis.
int | align
| Indicator of alignment with respect to the absolute frame: \ `align` = 1 : basis aligned with the absolute frame ( ) \ `align` = -1 : basis anti-aligned with the absolute frame ( ) \ `align` = 0 : general case.

## Friends

Base_vect * | Base_vect::bvect_from_file (FILE *)
| The construction function from a file.

## Detailed Description

Cartesian vectorial bases (triads).

()

Definition at line 201 of file base_vect.h.

## Constructor & Destructor Documentation

## Base_vect_cart() [1/4]

Lorene::Base_vect_cart::Base_vect_cart | ( | double | rot_phi_i | ) |

explicit

Standard constructor.

Definition at line 110 of file base_vect_cart.C.

References rot_phi, and set_align().

## Base_vect_cart() [2/4]

Lorene::Base_vect_cart::Base_vect_cart | ( | double | rot_phi_i,
|  | const char * | name_i )

Standard constructor with name.

Definition at line 120 of file base_vect_cart.C.

References Lorene::Base_vect::Base_vect(), rot_phi, and set_align().

## Base_vect_cart() [3/4]

Lorene::Base_vect_cart::Base_vect_cart | ( | const Base_vect_cart & | bi | ) |

Copy constructor.

Definition at line 130 of file base_vect_cart.C.

References Lorene::Base_vect::Base_vect(), Base_vect_cart(), rot_phi, and set_align().

## Base_vect_cart() [4/4]

Lorene::Base_vect_cart::Base_vect_cart | ( | FILE * | fich | ) |

explicit protected

Constructor from a file.

This constructor is protected because any `Base_vect_cart`
construction from a file must be done via the function `Base_vect::bvect_from_file` .

Definition at line 139 of file base_vect_cart.C.

References Lorene::Base_vect::Base_vect(), Lorene::fread_be(), rot_phi, and set_align().

## ~Base_vect_cart()

Lorene::Base_vect_cart::~Base_vect_cart | ( |  | ) |

virtual

Destructor.

Definition at line 152 of file base_vect_cart.C.

## Member Function Documentation

## bvect_from_file()

Base_vect * Lorene::Base_vect::bvect_from_file | ( | FILE * | fich | ) |

static inherited

Construction of a vectorial basis from a file (see `sauve(FILE* )` ).

Definition at line 84 of file base_vect_from_file.C.

References Base_vect(), and Lorene::fread_be().

## change_basis()

void Lorene::Base_vect_cart::change_basis | ( | Tenseur & | ti | ) | const

virtual

Change the basis in which the components of a tensor are expressed.

Implements Lorene::Base_vect.

Definition at line 280 of file base_vect_cart.C.

References align, Lorene::Tenseur::allocate_all(), Lorene::Base_vect::Base_vect(), Base_vect_cart(), Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_triad(), Lorene::Tenseur::get_type_indice(), Lorene::Tenseur::get_valence(), Lorene::Map(), Lorene::Tenseur::set(), and Lorene::Tenseur::set_triad().

## get_align()

int Lorene::Base_vect_cart::get_align | ( |  | ) | const

inline

Returns the indicator of alignment with respect to the absolute frame.

Returns
  1 : basis aligned with the absolute frame ( ) \ -1 : basis anti-aligned with the absolute frame ( ) \ 0 : general case

Definition at line 285 of file base_vect.h.

References align.

## get_name()

const char * Lorene::Base_vect::get_name | ( |  | ) | const

inherited

Returns the basis name.

Definition at line 140 of file base_vect.C.

References name.

## identify()

int Lorene::Base_vect_cart::identify | ( |  | ) | const

virtual

Returns a number to identify the sub-classe of `Base_vect` the object belongs to.

Implements Lorene::Base_vect.

Definition at line 74 of file base_vect_from_file.C.

## operator!=()

bool Lorene::Base_vect::operator!= | ( | const Base_vect & | bi | ) | const

inherited

Comparison operator (difference).

Definition at line 174 of file base_vect.C.

References Base_vect().

## operator=()

void Lorene::Base_vect_cart::operator= | ( | const Base_vect_cart & | bi | ) |

Assignment to another `Base_vect_cart`.

Definition at line 165 of file base_vect_cart.C.

References Base_vect_cart(), Lorene::Base_vect::name, rot_phi, set_align(), and Lorene::Base_vect::set_name().

## operator==()

bool Lorene::Base_vect_cart::operator== | ( | const Base_vect & | bi | ) | const

virtual

Comparison operator (egality).

Implements Lorene::Base_vect.

Definition at line 224 of file base_vect_cart.C.

References Lorene::Base_vect::Base_vect(), Base_vect_cart(), Lorene::Base_vect::identify(), identify(), and rot_phi.

## operator>>()

ostream & Lorene::Base_vect_cart::operator>> | ( | ostream & | ost | ) | const

protected virtual

Operator >>.

Implements Lorene::Base_vect.

Definition at line 262 of file base_vect_cart.C.

References rot_phi.

## sauve()

void Lorene::Base_vect_cart::sauve | ( | FILE * | fich | ) | const

virtual

Save in a file.

Reimplemented from Lorene::Base_vect.

Definition at line 254 of file base_vect_cart.C.

References Lorene::fwrite_be(), rot_phi, and Lorene::Base_vect::sauve().

## set_align()

void Lorene::Base_vect_cart::set_align | ( |  | ) |

private

Computes `align` from the value of `rot_phi`.

Definition at line 179 of file base_vect_cart.C.

References align, Lorene::arrete(), and rot_phi.

## set_name()

void Lorene::Base_vect::set_name | ( | const char * | name_i | ) |

inherited

Sets the basis name.

Definition at line 134 of file base_vect.C.

References name.

## set_rot_phi()

void Lorene::Base_vect_cart::set_rot_phi | ( | double | rot_phi_i | ) |

Sets a new value to the angle `rot_phi` between the x –axis and the absolute frame X –axis.

Definition at line 212 of file base_vect_cart.C.

References rot_phi, and set_align().

## Friends And Related Symbol Documentation

## Base_vect::bvect_from_file

Base_vect * Base_vect::bvect_from_file | ( | FILE * |  | ) |

friend

The construction function from a file.

References Lorene::Base_vect::Base_vect(), and Base_vect_cart().

## Member Data Documentation

## align

int Lorene::Base_vect_cart::align

private

Indicator of alignment with respect to the absolute frame: \ `align` = 1 : basis aligned with the absolute frame ( ) \ `align` = -1 : basis anti-aligned with the absolute frame ( ) \ `align` = 0 : general case.

Definition at line 217 of file base_vect.h.

## name

char Lorene::Base_vect::name[100]

protected inherited

Name of the basis.

Definition at line 110 of file base_vect.h.

## rot_phi

double Lorene::Base_vect_cart::rot_phi

private

Angle between the x –axis and the absolute frame X –axis.

Definition at line 207 of file base_vect.h.

The documentation for this class was generated from the following files:

- base_vect.h
- base_vect_cart.C
- base_vect_from_file.C